Last Comment Bug 391197 - AMO Localization (pt-PT)
: AMO Localization (pt-PT)
Status: RESOLVED FIXED
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Localization (show other bugs)
: 3.0
: All All
-- normal
: ---
Assigned To: Carlos Simao
:
:
Mentors:
Depends on: 412998 414707
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-07 02:55 PDT by Carlos Simao
Modified: 2016-02-04 14:50 PST (History)
6 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
developer agreement (1015 bytes, text/html)
2008-01-18 04:06 PST, Carlos Simao
no flags Details
error 404 (996 bytes, text/html)
2008-01-18 04:07 PST, Carlos Simao
no flags Details
nomination (1.15 KB, text/html)
2008-01-18 04:08 PST, Carlos Simao
no flags Details
sandbox (1.89 KB, text/html)
2008-01-18 04:08 PST, Carlos Simao
no flags Details
submission help (4.84 KB, text/html)
2008-01-18 04:08 PST, Carlos Simao
no flags Details
flowchart (189 bytes, text/plain)
2008-01-18 04:15 PST, Carlos Simao
no flags Details
messages.po (110.29 KB, application/octet-stream)
2008-01-18 14:06 PST, Carlos Simao
no flags Details
policy (15.28 KB, text/html)
2008-01-18 14:31 PST, Carlos Simao
no flags Details
messages.po (110.33 KB, application/octet-stream)
2008-01-18 15:49 PST, Carlos Simao
no flags Details
messages.po with small update/correction (110.33 KB, application/octet-stream)
2008-01-29 15:53 PST, Carlos Simao
no flags Details
corrections to messages.po (111.38 KB, application/octet-stream)
2008-01-30 12:39 PST, Carlos Simao
no flags Details
messages.po for amo 3.2 (122.93 KB, application/octet-stream)
2008-03-02 02:39 PST, Carlos Simao
no flags Details
messages.po for amo 3.2 (123.21 KB, application/octet-stream)
2008-03-02 03:04 PST, Carlos Simao
no flags Details
messages.po for amo v3.2 updated (123.20 KB, application/octet-stream)
2008-03-04 15:06 PST, Carlos Simao
no flags Details
messages.po for amo v3.2 updated-string corrected (123.18 KB, application/octet-stream)
2008-03-04 15:15 PST, Carlos Simao
no flags Details
messages.po for amo v3.2 updated (123.18 KB, application/octet-stream)
2008-03-05 13:52 PST, Carlos Simao
no flags Details
messages.po for amo v3.2 updated (123.18 KB, application/octet-stream)
2008-03-05 13:53 PST, Carlos Simao
no flags Details
update of messages po v3.2 (156.77 KB, text/plain)
2008-03-27 14:01 PDT, Carlos Simao
no flags Details
messages.po for amo v3.2 updated corrected (156.25 KB, application/octet-stream)
2008-03-29 15:04 PDT, Carlos Simao
no flags Details
messages.po for amo v3.2 updated (144.77 KB, application/octet-stream)
2008-04-01 13:59 PDT, Carlos Simao
no flags Details

Description User image Carlos Simao 2007-08-07 02:55:56 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; pt-PT; rv:1.8.1.6) Gecko/20070725 Firefox/2.0.0.6
Build Identifier: 

I intend to translate AMO to pt-PT language
AMO account name: lloco73@gmail.com


Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 User image Carlos Simao 2008-01-18 04:06:53 PST
Created attachment 297741 [details]
developer agreement
Comment 2 User image Carlos Simao 2008-01-18 04:07:34 PST
Created attachment 297742 [details]
error 404
Comment 3 User image Carlos Simao 2008-01-18 04:08:01 PST
Created attachment 297743 [details]
nomination
Comment 4 User image Carlos Simao 2008-01-18 04:08:21 PST
Created attachment 297744 [details]
sandbox
Comment 5 User image Carlos Simao 2008-01-18 04:08:44 PST
Created attachment 297745 [details]
submission help
Comment 6 User image Carlos Simao 2008-01-18 04:15:26 PST
Created attachment 297747 [details]
flowchart
Comment 7 User image Wil Clouser [:clouserw] 2008-01-18 09:58:35 PST
Thanks Carlos.  These files have been added to SVN (r9698) and I've asked fligtar to create the flowchart image.  Let me know if I can help with anything else.
Comment 8 User image Carlos Simao 2008-01-18 10:48:14 PST
the two files still missing are almost done.
Will be added soon.i allready have an svn account. is it suitable to AMO too?
Comment 9 User image Wil Clouser [:clouserw] 2008-01-18 11:04:38 PST
It might be - Where is the bug that gave you the SVN account?
Comment 10 User image Carlos Simao 2008-01-18 11:20:53 PST
bug 390635
Comment 11 User image Justin Scott [:fligtar] 2008-01-18 11:51:46 PST
Sandbox flowchart image created and committed.
Comment 12 User image Carlos Simao 2008-01-18 14:06:59 PST
Created attachment 297859 [details]
messages.po
Comment 13 User image Carlos Simao 2008-01-18 14:31:32 PST
Created attachment 297864 [details]
policy
Comment 14 User image Wil Clouser [:clouserw] 2008-01-18 15:04:51 PST
I've committed these changes to SVN.  Please verify it's working the way you would like here:

  http://remora.stage.mozilla.com/pt-PT/firefox/

Once you tell me it's good, I'll add pt-PT to the language selector at the bottom of the page and we'll schedule it to go live.

I've also added your account to the pt-PT localizers group on AMO so once the language goes live you can log in to the localizers control panel and update the last of the localizations.

Thanks a bunch.
Comment 15 User image Carlos Simao 2008-01-18 15:49:40 PST
Created attachment 297884 [details]
messages.po

messages.po correction
Comment 16 User image Carlos Simao 2008-01-18 15:50:14 PST
Comment on attachment 297859 [details]
messages.po

replaced by new one
Comment 17 User image Carlos Simao 2008-01-18 15:53:18 PST
wil clouser for now is good. let's go with it
Comment 18 User image Wil Clouser [:clouserw] 2008-01-18 16:04:48 PST
Thanks Carlos, I committed the changes.  This is scheduled to go live the next time we do a push (should be within a week).
Comment 19 User image /\/\arcio Galli 2008-01-21 08:50:49 PST
Cool - hey Carlos, I keeping track of your work, and internal ping to our ptBR team, so that we might be able to crossover things in the future hope short term. I learned from Pascal the potential synergies we could be working ( ptpt ptBR ), specifically in terms of technical documentation work ( MDC ) . One thing we can initiate together is the common list of top extensions, and also a community work so that we can port the top extensions quickly. From Wil and Basil I learned the upcoming Remove shall support us with custom lists - I hope it's per country even tough I see us using a start with a common list.
Comment 20 User image Wil Clouser [:clouserw] 2008-01-21 17:52:08 PST
(In reply to comment #19)
> I hope
> it's per country even tough I see us using a start with a common list.
> 

This is great Marcio.  For the record it's per-locale, so pt-PT and pt-BR will each have their own list, managed by the localizers.
Comment 21 User image Carlos Simao 2008-01-22 05:34:06 PST
i will be pleased to work with.
if you want contact me to my e-mail.
Comment 22 User image Carlos Simao 2008-01-29 15:51:12 PST
i'm trying to upload some corrections of the translation trough svn but i can't.
download with my username is ok but not upload.
Comment 23 User image Wil Clouser [:clouserw] 2008-01-29 15:52:55 PST
(In reply to comment #22)
> i'm trying to upload some corrections of the translation trough svn but i
> can't.
> download with my username is ok but not upload.
> 

Are you sure you checked it out with https and not http?  (svn info will tell you)
Comment 24 User image Carlos Simao 2008-01-29 15:53:38 PST
Created attachment 300171 [details]
messages.po with small update/correction
Comment 25 User image Carlos Simao 2008-01-29 16:09:58 PST
This is what i have with https

Error: CHECKOUT of '/!svn/ver/9704/addons/trunk/site/app/locale/pt_PT/LC_MESSAGES/messages.po': 403 Forbidden (https://svn.mozilla.org)
Comment 26 User image Carlos Simao 2008-01-29 16:11:35 PST
i tried to do like i do for update in the mozilla-europe but with no luck.
Comment 27 User image Wil Clouser [:clouserw] 2008-01-29 16:13:14 PST
What is the bug number that you filed to get commit access to SVN for moz-eu?
Comment 28 User image Carlos Simao 2008-01-29 16:18:23 PST
Bug 390635 was the original one for the mozilla-europe and it was pascal who filled it.
Comment 29 User image Carlos Simao 2008-01-30 12:39:54 PST
Created attachment 300452 [details]
corrections to messages.po
Comment 30 User image Wil Clouser [:clouserw] 2008-01-30 14:25:51 PST
Do you want me to commit that, or do you want to give it a try?  If you have access to gettext commands running "msgfmt messages.po" to create the messages.mo file would be good.  Otherwise I can do that for you.  
Comment 31 User image Carlos Simao 2008-01-30 15:10:23 PST
i would like to try it but how can i do it?
I'm on win XP
Comment 32 User image Wil Clouser [:clouserw] 2008-01-30 15:14:16 PST
I'm not sure how to compile .po files on winxp.  You can commit it just like any other site and I can compile it for you.  (or if you figure it out, put it on the wiki :)
Comment 33 User image Carlos Simao 2008-01-30 15:31:41 PST
please commit it
:)
Comment 34 User image Wil Clouser [:clouserw] 2008-01-30 15:46:29 PST
ok, this is in SVN, r9857.

I had to make a couple changes to the .po to make it compile.  There were some entries at the end that were commented out but also had translations in the file.  Gettext doesn't like that, so I removed the translations (since the strings are unused).  I also added one that was missing: "other_users" -> "outros" on line 3205.
Comment 35 User image Carlos Simao 2008-03-02 02:39:10 PST
Created attachment 306848 [details]
messages.po for amo 3.2
Comment 36 User image Carlos Simao 2008-03-02 03:04:51 PST
Created attachment 306852 [details]
messages.po for amo 3.2
Comment 37 User image Wil Clouser [:clouserw] 2008-03-03 10:31:00 PST
Thanks, in SVN, r10895
Comment 38 User image Carlos Simao 2008-03-04 15:06:41 PST
Created attachment 307322 [details]
messages.po for amo v3.2 updated
Comment 39 User image Carlos Simao 2008-03-04 15:15:28 PST
Created attachment 307324 [details]
messages.po for amo v3.2 updated-string corrected

corrected the late night update of 
msgstr[0] "%1$s \"%2$s\" add-on"
msgstr[1] "%1$s \"%2$s\" add-ons"

to

msgstr[0] "%1$s add-on"
msgstr[1] "%1$s add-ons"
Comment 40 User image Wil Clouser [:clouserw] 2008-03-04 15:17:04 PST
Thanks, this is in SVN, r10960
Comment 41 User image Wil Clouser [:clouserw] 2008-03-05 11:41:30 PST
Hi,

This is just a friendly reminder that I'm sending to all the AMO L10n bugs:

The 3.2 redesign is going live in just over a week and a half.  If you can't make the schedule or you have any questions please let me know.  If you've already updated your locales, thanks so much - they're looking great. :)
Comment 42 User image Carlos Simao 2008-03-05 13:52:46 PST
Created attachment 307574 [details]
messages.po for amo v3.2 updated
Comment 43 User image Carlos Simao 2008-03-05 13:53:46 PST
Created attachment 307576 [details]
messages.po for amo v3.2 updated
Comment 44 User image Wil Clouser [:clouserw] 2008-03-05 14:07:00 PST
Thanks Carlos, this is r11006 in SVN.
Comment 45 User image Carlos Simao 2008-03-27 14:01:27 PDT
Created attachment 312121 [details]
update of messages po v3.2
Comment 46 User image Wil Clouser [:clouserw] 2008-03-28 14:27:12 PDT
(In reply to comment #45)
> Created an attachment (id=312121) [details]
> update of messages po v3.2
> 

This file looks like a bad merge.  There are a lot of "<<<<<<<< .mine" etc. lines.
Comment 47 User image Carlos Simao 2008-03-29 15:04:47 PDT
Created attachment 312530 [details]
messages.po for amo v3.2 updated corrected
Comment 48 User image Wil Clouser [:clouserw] 2008-03-31 10:19:04 PDT
Update is in SVN.  Your .po had some errors in it so I fixed them all.  Please grab the fresh copy before you do more changes.  Thanks. :)
Comment 49 User image Carlos Simao 2008-04-01 13:59:49 PDT
Created attachment 312953 [details]
messages.po for amo v3.2 updated

please see if this one is ok.
i have done it with poedit for win
Comment 50 User image Wil Clouser [:clouserw] 2008-04-01 22:03:25 PDT
(In reply to comment #49)
> Created an attachment (id=312953) [details]
> messages.po for amo v3.2 updated
> 
> please see if this one is ok.
> i have done it with poedit for win
> 

Yep, that's what's already in SVN too.  It works great.  Thanks.
Comment 51 User image João Neves 2009-10-04 04:36:31 PDT
I'm reviewing all pt-PT bugs in bugzilla. Could someone give me a status on this bug and if this should be closed or not?
Comment 52 User image Wil Clouser [:clouserw] 2009-10-04 16:51:22 PDT
Carlos keeps this file up to date.  There are updates to the file every few weeks that localizers can translate so these bugs are ongoing.  Some localizers close them, some leave them open.  Either works for me.
Comment 53 User image Wil Clouser [:clouserw] 2009-11-10 17:42:32 PST
Mass-close of L10n bugs.  We're using the newsgroups to notify localizers about updates so there isn't much of a reason to leave these open.  If you have a specific case, feel free to reopen.

Thanks for all your help! :)

Note You need to log in before you can comment on or make changes to this bug.